#!/bin/sh
#title           :backup.sh
#description     :This script will create a backup dir and a backup.zip file in INSTANCE_HOME/backup dir.
#author		     :Giorgio Pieretti - Claudio Morgia
#date            :2015-11-20
#version         :0.1
#==============================================================================


SCRIPT_DIR=$(dirname $0)
INDICO_HOME=$SCRIPT_DIR/../..

INSTANCE_HOME=$(grep LogDir $INDICO_HOME/etc/indico.conf | cut -d '=' -f 2 | cut -d '"' -f 2)/..

###############################
# DO NOT CHANGE BELOW THIS LINE

BACKUP_HOME=$INSTANCE_HOME/backup
#BACKUP_NAME=$(uname -n)_$(date +%Y-%m-%d-%H-%M-%S)
BACKUP_NAME=$(uname -n)_$(date +%a)
BACKUP_DIR=$BACKUP_HOME/$BACKUP_NAME
DB_NAME=indico



#### CREATE BACKUP DIR
mkdir -p $BACKUP_DIR
echo "****** Backup DIR created"

#### BACKUP POSGRESQL DB
#cd $BACKUP_DIR
#pg_dump $DB_NAME > $BACKUP_DIR/pg.db
pg_dump $DB_NAME > $BACKUP_DIR/pg.db -U indicoadm -h localhost
echo "****** Postgresql backup created"


#### PACK ZODB
python $INDICO_HOME/bin/maintenance/packDB.py > /dev/null
echo "****** ZODB packed"


#### BACKUP ZODB
FNAME=$(python -c "import ZODB; print ZODB.__file__.replace('__init__.pyc','fsrecover.py')")
repozo -BFvQ -r $BACKUP_DIR -f $INSTANCE_HOME/db/Data.fs > /dev/null
echo "****** ZODB backup created"


#### COPY DIRS
{
cp -R $INSTANCE_HOME/archive $BACKUP_DIR
cp -R $INDICO_HOME/etc $BACKUP_DIR
if [ -d "$INSTANCE_HOME/crypto" ]; then
    cp -R $INSTANCE_HOME/crypto $BACKUP_DIR
fi
if [ -d "$INSTANCE_HOME/passes" ]; then
    cp -R $INSTANCE_HOME/passes $BACKUP_DIR
fi
} > /dev/null
echo "****** Dirs copied"

python $SCRIPT_DIR/unog_manage_links.py -s
mv $SCRIPT_DIR/baseUrl.txt $BACKUP_DIR/
echo "****** BASEURL saved"


#### CREATE ZIP
pushd $BACKUP_HOME > /dev/null
zip -r $BACKUP_NAME.zip $BACKUP_NAME/* > /dev/null
popd > /dev/null
echo "****** ZIP created"


#### REMOVE BACKUP DIR
rm -rf $BACKUP_DIR
echo "****** DIR removed"

echo "****** Backup Done."
