# -*- coding: utf-8 -*-
import sys
try: from indico.core import db
except: from MaKaC.common import db
from MaKaC.conference import ConferenceHolder, CategoryManager
from indico.web.flask.app import make_app

ch = ConferenceHolder()
cm = CategoryManager()

def getRegistrantsWithoutAvatar():
    r = []
    for conf in ch.getValuesToList():
        if conf.getRegistrationForm() and conf.getRegistrationForm().isActivated():
            for reg in conf.getRegistrantsList():
                if not reg.getAvatar():
                    r.append(reg)
    return r


if __name__ == '__main__':
    dbi = db.DBMgr.getInstance()
    with make_app().app_context():
        dbi.startRequest()
        regs = getRegistrantsWithoutAvatar()
        for reg in regs:
            print reg.getConference(), reg.getFullName(), reg.getEmail()
        dbi.endRequest()

    if not regs:
        sys.exit(0)
    else:
        sys.exit(1)


