
from MaKaC.conference import ConferenceHolder, Link

from indico.core.db import DBMgr
from indico.core.config import Config

import sys,  getopt
from indico.web.flask.app import make_app



def update(oldBaseUrl):
    print "OldURL=",oldBaseUrl
    config = Config.getInstance()
    newBaseUrl = config.getBaseSecureURL() if config.getBaseSecureURL() else config.getBaseURL()

    # remove http:// and https://
    oldBaseUrl = oldBaseUrl.replace('http://','').replace('https://','')
    newBaseUrl = newBaseUrl.replace('http://','').replace('https://','')
    print "NewUrl=",newBaseUrl
    ch = ConferenceHolder()
    for conf in ch.getValuesToList():
        for mat in conf.getAllMaterialList():
            for res in mat.getResourceList():
                if isinstance(res, Link):
                    oldUrl = res.getURL()
                    newUrl = oldUrl.replace(oldBaseUrl, newBaseUrl)
                    res.setURL(newUrl)
                    print "Updated conf", conf.getId(), " mat", mat.getId(), " res", res.getURL()

        for cont in conf.getContributionList():
            for mat in cont.getAllMaterialList():
                for res in mat.getResourceList():
                    if isinstance(res, Link):
                        oldUrl = res.getURL()
                        newUrl = oldUrl.replace(oldBaseUrl, newBaseUrl)
                        res.setURL(newUrl)
                        print "Updated conf", conf.getId(), " mat", mat.getId(), " res", res.getURL()
    print "Done."



def usage():
    print " ************ UNOG script for fixing absolute links in Indico *****************"
    print " *                                                                            *"
    print " * Available options:                                                         *"
    print " * -s: save baseUrl to baseUrl.txt                                            *"
    print " * -r <oldBaseUrl>: replace all oldBaseUrl in links to new one in indico.conf *"
    print " *                                                                            *"
    print " ******************************************************************************"




if __name__ == '__main__':

    if len(sys.argv) == 1 or '--h' in sys.argv or '-h' in sys.argv:
        usage()
    try:
        opts, _ = getopt.getopt(sys.argv[1:], "sr:",["newBaseUrl="])
    except getopt.GetoptError:
        usage()
        sys.exit(2)

    args = {}
    for opt, arg in opts:
        args[opt] = arg
    keys = args.keys()

    if '-s' in keys:
        config = Config.getInstance()
        baseURL = config.getBaseSecureURL() if config.getBaseSecureURL() else config.getBaseURL()
        file = open("baseUrl.txt", "w")
        file.write(baseURL)
        file.close()


    elif '-r' in keys:
        with make_app().app_context():
            oldBaseUrl = args['-r']
            dbi = DBMgr.getInstance()
            dbi.startRequest()
            update(oldBaseUrl)
            dbi.endRequest()
