# -*- coding: utf-8 -*-
import sys
from MaKaC.user import AvatarHolder
from indico.core.db import DBMgr

try: from indico.core import db
except: from MaKaC.common import db
from MaKaC.conference import ConferenceHolder, CategoryManager
from indico.web.flask.app import make_app





ch = ConferenceHolder()
cm = CategoryManager()


localTimezone = 'Europe/Rome'


def checkLocal(removeIdentity = False):
    from MaKaC.authentication.LocalAuthentication import LocalAuthenticator
    # Check LocalIdentities:
    auth = LocalAuthenticator()
    total = len(auth.getList())
    print "Checking", total, "Identities..."
    for i, identity in enumerate(auth.getList()):
        #print '\r  Processing %d/%d' % (i + 1, total)
        # check if has Avatar:
        avatar = identity.getUser()
        if not avatar:
            rm_msg = ''
            if removeIdentity:
                rm_msg = ': REMOVED!'
                auth.remove(identity)
            print "AVATAR MISSING: Identity ", identity, " has no Avatar" + rm_msg

        else:
            if not identity in avatar.getIdentityList():
                print "NO LINK BACK: Avatar ", avatar, " has no link back to Identity"
    print "Done."
    return

def checkAvatars():
    ah = AvatarHolder()

    avlist = ah.getValuesToList()
    print "Checking", len(avlist), "Avatars..."
    for avatar in avlist:
        if len(avatar.getIdentityList()) == 0:
            print "AVATAR WITHOUT IDENTITY:", avatar
    print "Done."
    return


if __name__ == '__main__':

    if len(sys.argv) == 1 or '--h' in sys.argv or '-h' in sys.argv:
        print " **************     UNOG Indico Idnetities Util    **************"
        print " *                                                              *"
        print " * Available options:                                           *"
        print " * -c: check for unlinked Identities                            *"
        print " * -r: remove Identities without Avatar                         *"
        print " *                                                              *"
        print " ****************************************************************"

    removeIdentity = False

    if '-r' in sys.argv:
        removeIdentity = True

    if '-c' in sys.argv:
        with make_app().app_context():
            dbi = DBMgr.getInstance()
            dbi.startRequest()
            checkLocal(removeIdentity)
            checkAvatars()
            dbi.endRequest()

