# This file is part of Indico.
# Copyright (C) 2002 - 2015 European Organization for Nuclear Research (CERN).
#
# Indico is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.
#
# Indico is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Indico; if not, see <http://www.gnu.org/licenses/>.
from MaKaC.conference import ConferenceHolder

from MaKaC.services.implementation.base import ServiceBase

class NamesList(ServiceBase):

    def _checkParams(self):
        ServiceBase._checkParams(self)
        self._query = self._params['query'] if 'query' in self._params else None
        self._limit = self._params['limit'] if 'limit' in self._params else None
        self._confId = self._params['confId'] if 'confId' in self._params else None
        self._listType = self._params['repType'] if 'repType' in self._params else None
        if self._confId:
            self._conf = ConferenceHolder().getById(self._confId)

    @staticmethod
    def getNames(query,_list,limit):
        if query:
            query = query.lower()
            tokens = query.split()
            result = _list.keys()
            for token in tokens:
                result = [key for key in result if token in key.lower()]
        else:
            result = _list.keys()

        result = result[:limit]
        result = [ dict( (key,_list[key]) for key in result)]
        #result = [ dict((key,value)  for key,value in list.iteritems() if key in result )]

        return result

    def _getAnswer(self):
        try:
            from MaKaC.webinterface.rh.registrationFormDisplay import RHRegistrationFormReprLists
            list = RHRegistrationFormReprLists.getOrganizationList(self._listType, self._conf)
            names = NamesList.getNames(self._query,list,self._limit)
            return {"suggestions": names }
        except Exception as e:
            return {"status": None, "error": "Unable to query"}

methodMap = {
    "nameslist": NamesList
}
