# This file is part of Indico.
# Copyright (C) 2002 - 2015 European Organization for Nuclear Research (CERN).
#
# Indico is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.
#
# Indico is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Indico; if not, see <http://www.gnu.org/licenses/>.

from MaKaC.services.implementation.base import ServiceBase
from indico.util.printers import PrintingSystem


class Update(ServiceBase):

    def _checkParams(self):
        ServiceBase._checkParams(self)
        self.printer = self._params['printer'] if 'printer' in self._params else None
        self.user = self.getAW().getUser() if hasattr(self.getAW(),'getUser') else None

    def _getAnswer(self):
        PrintingSystem.getInstance().setUserPrinter(self.user,self.printer)

        return { 'status': 'success'}


class Settings(ServiceBase):

    def _checkParams(self):
        ServiceBase._checkParams(self)
        self.printOnServer = self._params['printOnServer'] if 'printOnServer' in self._params else None
        self.user = self.getAW().getUser() if hasattr(self.getAW(), 'getUser') else None

    def _getAnswer(self):
        PrintingSystem.getInstance().setUserPrintOnServer(self.user, self.printOnServer)

        return { 'status': 'success'}

methodMap = {
    "update": Update,
    "settings": Settings
}
