<%page args="contrib=None, slot=False, poster=False"/>
    % if slot:
    <% from MaKaC.schedule import SlotSchedule %>
        <div class="contributionListContribItem" data-id="${contrib.getId()}" data-session="${contrib.getSchEntry().getSchedule().getOwner().getId() if isinstance(contrib.getSchEntry().getSchedule(), SlotSchedule) else '-1'}" data-track="${contrib.getTrack().getId() if contrib.getTrack() else '-1'}" data-type="${contrib.getType().getId() if contrib.getType() else '-1'}">
    % else:
        <div class="contributionListContribItem" data-id="${contrib.getId()}" data-session="${contrib.getSession().getId() if contrib.getSession() else '-1'}" data-track="${contrib.getTrack().getId() if contrib.getTrack() else '-1'}" data-type="${contrib.getType().getId() if contrib.getType() else '-1'}">
    % endif
        <div>
            <h3>${contrib.getTitle()}</h3>

            <div class="column highlighted-area">
                <% materialList = contrib.getAllViewableMaterialList() %>
                % for material in materialList:
                    % for resource in material.getResourceList():
                        % if material.getTitle()!='gdocDocument':
                            <h4>${material.getTitle()}</h4>
                            <a href="${urlHandlers.UHFileAccess.getURL(resource)}" target="_blank" title="${resource.getName()}">
                                ${resource.getName()}
                            </a>
                        % else:
                            <div style="margin-left: 20px; border: dashed 1px black; display: inline-block; border-radius: 6px; padding-top: 8px; padding-bottom: 8px; padding-left: 16px; padding-right: 16px">

                            ${resource.getName().upper()}
                            <a href="${resource.getURL()}" target="_blank">
                                <img src="${Config.getInstance().getImagesBaseURL()}/downloadIcon.png" style="vertical-align: middle; border: 0;" alt="Download doc" title="Download document"  >
                            </a>
                            % if 'docretrieve' in resource.getURL() and user and printOnDemand:

                                <a href="#" onclick="remoteDocPrint('${resource.getURL().replace('docretrieve','docprint')}?confid=${resource.getConference().getId()}')">
                                    <img src="${Config.getInstance().getImagesBaseURL()}/remotePrintIcon.png" style="vertical-align: middle; border: 0;" alt="Print-On-Demand" title="Print-On-Demand"  >
                                </a>
                            % endif
                            </div>
                        % endif
                    % endfor
                % endfor
            </div>

        </div>
        <div class="contributionListContribHeader">
            % if contrib.getType() != None:
                <span style="font-weight:bold">${_("Type")}: </span>${contrib.getType().getName()}
            % endif
            % if contrib.getSession() != None:
                <span style="font-weight:bold">${_("Session")}: </span>
                <a class="lightGreyLink" href="${str(urlHandlers.UHSessionDisplay.getURL( contrib.getSession() ))}">${contrib.getSession().getTitle()}</a>
                <div style="background-color: ${contrib.getSession().getColor()};" class="sessionSquare"></div>
            % endif
            % if contrib.getTrack() != None:
                <span style="font-weight:bold">${_("Track")}: </span>${contrib.getTrack().getTitle()}
            % endif
            % if poster == True and contrib.getBoardNumber() != '':
                <span style="font-weight:bold">${_("Board #")}: </span>
                ${contrib.getBoardNumber()}
            % endif;
        </div>
        <%block name="description" args="contrib=None">
        </%block>

<%block name="footer" args="contrib=None">
</%block>
</div>
<div id="dialog-success" title="Print-On-Demand requested" style="display: none">
  <p style="padding: 0px 20px 0px 20px;">
    Your request for print-on-demand has been successfully sent.
  </p>
</div>
<div id="dialog-failed" title="Print-On-Demand failed" style="display: none">
  <p style="padding: 0px 20px 0px 20px;">Your request for print-on-demand has not been successfully sent.</p>
  <p style="padding: 0px 20px 0px 20px;">Please contact the conference officers.</p>
</div>
<div id="dialog-confirm" title="Print-On-Demand confirm" style="display: none">
  <p style="padding: 0px 20px 0px 20px;">
    Are you sure you want to request the printing of this document?
  </p>
</div>
<script>
    function remoteDocPrint(docurl) {
        $("#dialog-confirm").dialog({
            modal: true,
            buttons: {
                Ok: function () {
                    $(this).dialog("close");
                    $.get(docurl, function (data) {
                        $("#dialog-success").dialog({
                            modal: true,
                            buttons: {
                                Ok: function () {
                                    $(this).dialog("close");
                                }
                            }
                        });
                    }).fail(function(){
                        $("#dialog-failed").dialog({
                            modal: true,
                            buttons: {
                                Ok: function () {
                                    $(this).dialog("close");
                                }
                            }
                        });
                    });
                }
            }
        });

        console.log(docurl);
    }
</script>