<table width="100%" align="center" border="0">
    <tr>
        <td colspan="5" class="groupTitle">${ _("Registration modification control")}</td>
    </tr>
    <tr>
        <td nowrap ><span class="titleCellFormat">${ _("Registrars")}<br><font size="-2">${ _("(users allowed to modify registration)")}</font></span></td>
    </tr>
    <tr>
        <td bgcolor="white" width="100%">
            <table width="100%">
                <tr>
                    <td><ul id="inPlaceRegistrars" class="UIPeopleList"></ul></td>
                </tr>
                <tr>
                    <td nowrap style="width:100%">
                        <input type="button" id="inPlaceAddManagerButton" onclick="registrationControlManager.addExistingUser();" value='${ _("Add registrar") }'>
                        <input type="button" id="remoteUpdate" onclick="remoteUpdate();" value='${ _("Update limits") }'>
                    </td>
                    <td></td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<div id="modalGrid" style="display: none">
    <table id="jqGrid"></table>
    <div id="jqGridPager"></div>
</div>
<div id="modalConfirm" title="Clear all criteria?" style="display: none">
    <p>
        <span class="ui-icon ui-icon-alert" style="float:left; margin:0 7px 20px 0;"></span>
        All the criteria in the grid will be deleted and the operation cannot be undone. Are you sure?
    </p>
</div>
<script>

    var methods = {
        'addExisting': 'event.protection.addExistingRegistrar',
        'remove': 'event.protection.removeRegistrar'
    };

    var params = {confId: '${ confId }'};
    var limits = ${ limits };

    function decorateList() {
        $('#inPlaceRegistrars > .UIPerson').each(function (idx, elem) {
            var id = $(elem).attr('id');
            var line = 2000 + parseInt(idx) * 2 + 1;
            var line1 = line - 1;
            $(elem).find('.nameLink').after(function (index) {
                var maxdelegates = limits[id] != undefined ? limits[id]['threshold'] : '';
                var affiliation = (limits[id] && limits[id]['affiliation']['Organisation']) != undefined ? limits[id]['affiliation']['Organisation'] : '';
                return '<span style="float: right;">Organisation' +
                        '<input tabindex="' + line + '" class="affiliation" type="text" size="10" style="margin-left:10px; margin-right:10px; -moz-border-radius: 29px;-webkit-border-radius: 29px;border-radius: 29px; width: 300px" ' +
                        'value="' + affiliation + '"></span>' +
                        '<span style="float: right;">' +
                        '<a href="#" type="button" class="i-button" style="margin-top: -6px; margin-right: 6px;"onclick="gridPopup('+id+',\'Criteria editor\',\'criteria\');">Criteria</a></span>' +
                        '<span style="float: right;">' +
                        '<a href="#" type="button" class="i-button" style="margin-top: -6px; margin-right: 6px;"onclick="gridPopup('+id+',\'Rights editor\',\'rights\');">Rights</a></span>' +
                        '<span style="float: right;">Max delegates' +
                        '<input tabindex="' + line1 + '" class="maxdelegates" type="text" size="5" style="margin-left:10px; margin-right:10px; -moz-border-radius: 29px;-webkit-border-radius: 29px;border-radius: 29px;" ' +
                        'value="' + maxdelegates + '"></span>';

            });
        });
        $('.affiliation').typeahead({
            highlight: true,
            //hint: false,
        }, {
            name: 'affiliationlist',
            display: 'value',
            source: affiliationList,

            engine: Hogan,
            limit: 1000,
            //template: '<div>{{ key }}<strong>{{ value }}</strong></div>'
            templates: {
                suggestion: function (data) {
                    var text = '<p>' + data.value + ' - <strong><a style="float: right;" href="http://esango.un.org/civilsociety/showProfileDetail.do?method=showProfileDetails&profileCode=' + data.code + '">' + data.status + '</a></strong></p>';
                    return text;
                }
            }
        });
    }

    var registrationControlManager = new ListOfUsersManager('${ confId }',
            methods, params, $E('inPlaceRegistrars'), "manager", "UIPerson", true, {}, {
                title: false,
                affiliation: false,
                email: true
            },
            {remove: true, edit: false, favorite: true, arrows: false, menu: false}, ${ registrars | n,j});

    var affiliationList = new Bloodhound({
        datumTokenizer: function (d) {
            return Bloodhound.tokenizers.whitespace(d.value);
        },
        queryTokenizer: Bloodhound.tokenizers.whitespace,
        remote: {
            url: Indico.Urls.JsonRpcService,

            prepare: function (query, settings) {
                settings.type = "POST";
                settings.contentType = "application/json; charset=UTF-8";
                settings.beforeSend = function (jqXhr, settings) {
                    jqXhr.setRequestHeader("X-CSRF-Token", $('#csrf-token').attr('content'));
                    settings.data = JSON.stringify({
                        version: '1.1',
                        method: 'affiliation.nameslist',
                        params: {
                            'query': query,
                            'limit': 15,
                            'confId': '${confId}'
                        }
                    });
                };
                settings.data = {'query': query};

                return settings;
            },
            transform: function (response) {
                var res = $.map(response.result.suggestions[0], function (item, key) {
                    return {label: key, value: key, status: item.status, code: item.code};
                });
                return res;
            }
        }
    });

    affiliationList.initialize();

    function remoteUpdate(event) {
        var payload = [];
        $('#inPlaceRegistrars > .UIPerson').each(function (idx, elem) {
            var id = $(elem).attr('id');
            var affiliation = $(elem).find('.tt-input').typeahead('val');
            var threshold = $(elem).find('.maxdelegates').val();
            payload.push({id: id, threshold: threshold, affiliation: (affiliation != undefined) ? affiliation : ''});
        });

        jsonRpc(Indico.Urls.JsonRpcService, 'event.update.limits', {
            confId: '${ confId }',
            limits: payload
        }, function (response, error) {
            var killProgress = IndicoUI.Dialogs.Util.progress();
            if (exists(error)) {
                killProgress();
                IndicoUtil.errorReport(error);
            }
            else {
                killProgress();
                console.log("updated")
            }
        });
    }
    ;

    $('#inPlaceRegistrars').on('listUpdated', decorateList);
    decorateList();

    var criteria = {
        'Sessions':"${sessions}",
        'Representation':"${representationTypes}",
        'Country':"${countries}"
    };

    var rights = {
        'Right':"${rights}"
    };

    var criteriaEditOptions = {
        'criteria':{
            'Criteria':{
                % if sessions:
                value: "Representation:Representation;Sessions:Sessions;Country:Country",
                % else:
                value: "Representation:Representation;Country:Country",
                % endif
                dataEvents: [
                    {
                        type: 'change',
                        fn: function (e) {
                            var rowid = $(e.target).attr('rowid');
                            var value = $(e.target).find('option:selected').text();
                            $("#"+rowid+"_Value").html(buildOption(criteria[value]));
                        }
                    }
                ]
            },
            'Value':{
                value: criteria['Representation']
            }
        },
        'rights': {
            'Criteria':{
                value: "Right:Right"
            },
            'Value':{
                value: "Approve:Approve;Log:Log"
            }
        }
    };

    function gridPopup(id,title,urlPrefix) {
        var viewportWidth = window.innerWidth - 20;
        var viewportHeight = window.innerHeight - 20;
        if (viewportWidth > 1000) viewportWidth = 1000;
        if (viewportHeight > 500) viewportHeight = 500;

        $('#modalGrid').dialog({
            title: title,
            height: viewportHeight,
            width: viewportWidth,
            autoOpen: true,
            modal: true,
            resizable: false,
            position: {
                my: "center",
                at: "center",
                of: window,
                collision: "none"
            },
            create: function (event, ui) {
                $(event.target).parent().css('position', 'fixed');
            },
            open: function (event, ui) {
                var grid = $('#jqGrid');
                var url = urlPrefix+"?user="+id;
                grid.setGridParam({url:url});
                grid.setGridParam({editurl:url});
                grid.setGridParam({inlineData:{'user':id}});
                grid.setGridParam({postData:{'oper':'init'}});
                var opt = criteriaEditOptions[urlPrefix]['Criteria'];
                grid.setColProp('Criteria',{editoptions: opt});

                opt = criteriaEditOptions[urlPrefix]['Value'];
                grid.setColProp('Value',{editoptions: opt});
                grid.trigger("reloadGrid");
                $(".ui-widget-overlay").click(function () {
                    $('#modalGrid').dialog('close');
                });
            },
            buttons: [
                {
                    text: "Close",
                    click: function () {
                        $(this).dialog("close");
                        //ajax call to submit values

                    }
                },
                {
                    text: "Clear all",
                    click: function () {
                        $('#modalConfirm').dialog({
                            resizable: false,
                            height: 140,
                            modal: true,
                            buttons: {
                                Confirm: function () {
                                    $(this).dialog("close");
                                    var grid = $('#jqGrid');
                                    grid.clearGridData();
                                    grid.setGridParam({postData:{'oper':'clear'}});
                                    grid.trigger("reloadGrid");
                                },
                                Cancel: function () {
                                    $(this).dialog("close");
                                    console.log("Cancel clear all");
                                }
                            }
                        });

                    }
                }

            ]
        });
    }

    function buildOption(arr) {
        var _arr = arr.split(";");
        var result="";
        $.each(_arr,function(idx,str){
            var values = str.split(":");
            result+="<option value=\""+values[0]+"\">"+values[1]+"</option>";
        });
        return result;
    }
    $(document).ready(function () {
        $("#jqGrid").jqGrid({
            url: 'criteria',
            editurl: 'criteria',
            mtype: "GET",
            datatype: "json",
            page: 1,
            colModel: [

                {
                    label: 'Criteria',
                    name: 'Criteria',
                    index: 'Criteria',
                    width: 150,
                    editable: true,
                    edittype: "select",
                    editoptions: {
                        % if sessions:
                        value: "Representation:Representation;Sessions:Sessions;Country:Country",
                        % else:
                        value: "Representation:Representation;Country:Country",
                        % endif
                        dataEvents: [
                            {
                                type: 'change',
                                fn: function (e) {
                                    var rowid = $(e.target).attr('rowid');
                                    var value = $(e.target).find('option:selected').text();
                                    $("#"+rowid+"_Value").html(buildOption(criteria[value]));
                                }
                            }
                        ]
                    }
                },
                {
                    label: 'Value',
                    name: 'Value',
                    width: 150,
                    editable: true,
                    edittype: "select",
                    editoptions: {
                        value: criteria['Representation']
                    }
                }
            ],
            loadonce: false,
            //onSelectRow: editRow, // the javascript function to call on row click. will ues to to put the row in edit mode
            viewrecords: true,
            width: 750,
            height: 250,
            rowNum: 15,
            pager: "#jqGridPager"
        });

        var lastSelection;

        function editRow(id) {
            if (id && id !== lastSelection) {
                var grid = $("#jqGrid");
                grid.jqGrid('restoreRow', lastSelection);
                grid.jqGrid('editRow', id, {keys: true, focusField: 1});
                lastSelection = id;
            }
        }

        $('#jqGrid').navGrid("#jqGridPager", {edit: false, add: false, del: true, refresh: false, view: false});
        $('#jqGrid').inlineNav('#jqGridPager',
                // the buttons to appear on the toolbar of the grid
                {
                    edit: false,
                    add: true,
                    del: true,
                    cancel: true,
                    editParams: {
                        keys: true
                    },
                    addParams: {
                        keys: true
                    }
                });

    });

</script>
