<% import MaKaC.common.Configuration as Configuration %>


<style>

body {
	background-color:#eee;
	font-family:Tahoma, Arial, sans-serif;
}
.container {
	width:600px;
	margin:50px auto;
	background-color:#FFF;
	padding:10px;
	border-radius:4px;
	border:1px solid #ccc;
	box-shadow: 0px 0px 5px rgba(0,0,0,0.1);
	-mox-box-shadow: 0px 0px 5px rgba(0,0,0,0.1);
	-webkit-box-shadow: 0px 0px 5px rgba(0,0,0,0.1);
	font-size:13px;
}
h1 {
	font-family:arial rounded mt bold,sans-serif;
	margin:0;
	text-align:center;
	color:#333;
	font-size:30px;
	padding-bottom:20px;
}
label {
	display:inline-block;
	font-size:13px;
	width:120px;
}
input[type=text], input[type=email], input[type=password], .fakeinput {
	border: 1px solid rgba(0,0,0,0.3);
	border-radius: 2px;
	-moz-border-radius: 2px;
	-webkit-border-radius: 2px;
	box-shadow: inset 0px 0px 5px rgba(0,0,0,0.1);
	-mox-box-shadow: inset 0px 0px 5px rgba(0,0,0,0.1);
	-webkit-box-shadow: inset 0px 0px 5px rgba(0,0,0,0.1);
	display: inline-block;
	font-size: 13px;
	margin: 5px;
	padding: 5px 10px;
	width: 240px;
}

input[type=text]:focus, input[type=email]:focus, input[type=password]:focus {
	border-color: #01AEF0;
	outline: none;
}
.feedback {
	width:190px;
	display:inline-block;
	vertical-align:middle;
	padding-left:10px;
}
#feedback {
	margin:5px 0;
	border-radius:4px;
	border:1px solid #ccc;
	padding:10px;
	font-family:Courier New;
	font-size:16px;
}
.blocklist {
    list-style: none;
    padding: 0;
    font-size: 0;
}
.blocklist li {
    display: inline;
}
.blocklist li a {
    font-size: 14px;
    text-decoration: none;
    color: #333;
    display: inline-block;
    width: 258px;
    padding: 10px;
    margin: 10px;
    text-align: center;
    border-radius: 2px;
    border: 1px solid #ccc;
    background-color: #f8f8f8;
}
.blocklist li a:hover {
    background-color:#f3f3f3;
}

 .pw_strengthIndicator .strength {
	border-top: 6px solid #eee;
	display: inline-block;
	padding: 3px;
	padding-top: 6px;
	margin-right: 10px;
	font-size: 11px;
	text-transform: uppercase;
	font-weight: bold;
	font-family: Arial;
}
.pw_strengthIndicator .strength.weak.pass {
	border-top-color:#cf2338;
}
.pw_strengthIndicator .strength.medium.pass {
	border-top-color:#f2fb2b;
}
.pw_strengthIndicator .strength.strong.pass {
	border-top-color:#07860e;
}
.pw_checklist ul {
	list-style:none;
	padding:0;
}
.pw_checklist ul li {
	padding:2px;
	display:block;
	padding-left:18px;
	background-image:url(${Configuration.Config.getInstance().getSystemIconURL('cross')});
	background-repeat:no-repeat;
	background-position:left;
}
.pw_checklist ul li.pass {
	background-image:url(${Configuration.Config.getInstance().getSystemIconURL('tick')});
}


</style>


<form action="${postURL}" method="POST">
  <input type="hidden" name="userId" value="${avatarId}">
  <table class="groupTable">
    <tr>
        <td colspan="2" class="formTitle">${_("User details")}</td>
    </tr>
    <tr>
      <td colspan="2">
        <br>
        <table width="60%" align="left" border="0" style="padding-left:20px;">
          <tr>
            <td colspan="3" class="groupTitle">
                <span>${actionLabel}</span>
            </td>
          </tr>
          <tr>
            <td colspan="3" bgcolor="white" width="100%" valign="top" style="color:red;padding-top:10px;padding-bottom:10px">${msg}</td>
          </tr>
          <tr>
            <td nowrap class="titleCellTD"><span class="titleCellFormat">${_("User Name")}</span></td>
            <td bgcolor="white" width="100%" valign="top" class="blacktext">
                
                <input type="text" name="login" id="login" value="${login}" size="40" ${"disabled" if isDisabled else ""}>
                % if isDisabled:
                    <input type="hidden" id="login" name="login" value="${login}">
                % endif
            </td>
          </tr>
          <tr>
            <td nowrap class="titleCellTD"><span class="titleCellFormat">${_("Password")}</td>
            <td bgcolor="white" width="100%" valign="top" class="blacktext">

                <input id="password" type="password" name="password" value="" size="40">
                <!--<div class="feedback"><div id="strongy"></div></div>-->
                <div id="checklist"></div>


            </td>
          </tr>
          <tr>
            <td nowrap class="titleCellTD">
                <div>
                    <div class="titleCellFormat" style="float: left">${_("Confirm Password")}</div>
                </div>
            </td>
            <td bgcolor="white" width="100%" valign="top" class="blacktext">

                <input id="passwordBis" type="password" name="passwordBis" value="" size="40">

            </td>
          </tr>
          <tr>
            <td nowrap class="titleCellTD"><span class="titleCellFormat">${_("System")}</td>
            <td bgcolor="white" width="100%" valign="top" class="blacktext">

                <select name="system" ${"disabled" if isDisabled else ""}>
                    % for auth in systemList:
                        <option value="${auth['id']}">${auth["name"]}</option>
                    % endfor
                </select>
            </td>
          </tr>
          <tr>
            <td align="center" colspan="2">
                <input type="submit" class="btn" name="OK" value="${_("Ok")}">
                <input type="button" class="btn" name="Cancel" value="${_("Cancel")}" onclick="window.history.back()">
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</form>

<script>


function enableForm(value) {
    if (value) {
        // enable
        $('input[type="submit"]').prop("disabled",false);
        $('form').unbind('submit');
    } else {
        //disable
        $('input[type="submit"]').prop("disabled",true);
        $('form').bind('submit',function(e){e.preventDefault();});
    }
}



$(function() {
    enableForm(false);
    $('#password').password({
        minLength:8,
        nospecial:true,
        personalInformation:[
            $('#login')
        ],
        dictionary:'/indico/js/utils/dictionary_en.js',
        checklist:$('#checklist'),
        doubleType:$('#passwordBis'),
        change:function(score, issues, pass) {
            console.log(score + " " + issues + " " + pass);
            enableForm(score=='100' && issues=='' && pass);
        }
    });
});
</script>