<%page />
<a id="scannersSelectorLink" href="#" class="arrow icon-scanner-red i-button"></a>

<script type="text/javascript">
var daemonConnected = false;
var scanners = [];

function atLastOneScannerConnected() {
    if (scanners && scanners.length>0) {
        var connected = false;
        $.each(scanners,function(idx,item){
            if (item.status=="connected") {
                connected = true;
            }
        });
        return connected;
    } else {
        return false;
    }
}

scanners.update = function() {
    var color;
    var text;
    if (!daemonConnected) {
        color = "red";
        text = "Disconnected";
    } else {
        if (atLastOneScannerConnected()) {
            color = "green";
            text = "Operational";
        } else {
            color = "yellow";
            text = "No scanner";
        }
    }

    var elem = $("#scannersSelectorLink");
    elem.removeClass("icon-scanner-red icon-scanner-green icon-scanner-yellow");
    elem.addClass("icon-scanner-"+color);
    elem.text(text);
    console.log("UPDATE");
};

$(function () {
    if (window.webSocketHome) {
        setTimeout(function () {
            window.webSocketHome.send("queryall");
            daemonConnected = true;
        }, 500);
    } else {
        daemonConnected = false;
    }

    scanners.update();

    $("#scannersSelectorLink").qtip({

        style: {
            width: '250px',
            classes: 'qtip-rounded qtip-shadow qtip-popup',
            tip: {
                corner: true,
                width: 20,
                height: 15
            }
        },
        position: {
            my: 'top center',
            at: 'bottom center'
        },
        content: {
            text : function (api) {
                var content = "<table width=\"100%\"><col width=\"70%\"><col width=\"30%\">";
                $.each(scanners,function(idx,item){
                    content += "<tr>";

                    content += "<td>"+item.device+"</td>";

                    var color = item.status=="connected" ? "green" : "red";

                    content += "<td style=\"text-align: right; color: "+color+";\">"+item.status+"</td>";

                    content += "</tr>";
                });
                content += "</table>";
                return content;
            }
        },
        show: {
            event: "click",
            effect: function () {
                $(this).fadeIn(300);
            }
        },
        hide: {
            event: 'unfocus click',
            fixed: true,
            effect: function () {
                $(this).fadeOut(300);
            }
        }
    });

});
</script>