var dialogBox;
var killProgress;

function callService(payload) {
    jsonRpc(Indico.Urls.JsonRpcService, 'passport.redirect', payload, function handler(response, error) {
        if (error) {
            var popup = new ErrorPopup("Connection error", ["Unreadable scan. Please swipe again."], "");
            popup.open();
        } else {
            if (response.error) {
                var popup = new ErrorPopup("Passport lookup returned an error", [response.error], "");
                popup.open();
            } else {
                if ((response.length == 1) && !payload.images) {
                    window.location = response[0].link;
                } else {
                    setTimeout(function () {
                        inner = "<div id='regList'>";
                        if (response.length != 0) {
                            response.forEach(function (item) {
                                cl = item.current ? 'icon-checkmark' : 'icon-cross';
                                inner += '<div><a class="i-button ' + cl + '" style="width: 810px;" href="' + item.link + '">' + item.description + '</a></div>';
                            });
                            inner += '</div>';
                        } else {
                            inner += '<h2>The user is not registered to any conference</h2></div>';
                        }
                        if (payload.images) {
                            inner += '<div id="images"><table>';
                            images = [['UV', 'IR'], [['PHOTO', 'SCGD2'], 'VIS']];
                            images.forEach(function (line) {
                                inner += '<tr>';
                                line.forEach(function (elem) {
                                    if (typeof elem === "string") {
                                        inner += '<td><img width="400px" height="273px" src="http://localhost:8080/' + payload.passportOrigin + payload.passportID + '_' + elem + '.jpg"></td>';
                                    } else {
                                        inner += '<td>';
                                        elem.forEach(function (innerElem) {
                                            inner += '<img width="200px" height="273px" src="http://localhost:8080/' + payload.passportOrigin + payload.passportID + '_' + innerElem + '.jpg">';
                                        });
                                        inner += '</td>';
                                    }
                                });
                                inner += '</tr>'
                            });
                            inner += '</table></div>';
                        }

                        dialogBox = $('<div style="border: 3px solid" "/>').html(inner).dialog();
                        dialogBox.dialog({
                            modal: true,
                            width: 600,
                            title: 'Please select a conference    '
                        });
                    }, 3000);
                }

            }
        }
    });
}
$(function(){
    window.webSocketHome = new WebSocket("wss://127.0.0.1");
    window.webSocketHome.onmessage = function(event) {
        var payload = $.parseJSON(event.data);

        switch (payload.messageType) {
            case 'close':
                dialogBox.dialog("close");
                break;

            case 'scanning':
                killProgress = IndicoUI.Dialogs.Util.progress();
                break;

            case 'passport':
                if (killProgress) {
                    killProgress();
                }
                callService(payload);
                break;

            case 'connected':
                scanners[payload.device]=true;
                scanners.update();
                console.log("Scanner "+payload.device+" has been connected");
                break;

            case 'disconnected':
                scanners[payload.device]=false;
                scanners.update();
                console.log("Scanner "+payload.device+" has been disconnected");
                break;

            case 'disconnect':
                var update =scanners.update;
                scanners = [];
                scanners.update = update;
                daemonConnected = false;
                scanners.update();
                break;

            case 'status':
                payload.devices.update=scanners.update;
                scanners=payload.devices;
                scanners.update();
                break;

        }
    };
    $( window ).unload(function() {
        window.webSocketHome.close();
    });
});